Subject: bug#23621: 25.1.50; Buffer in >1 window; winner-undo recover window point

From: Michael Heerdegen <[email-masked]>
Date: Wed, 07 Jun 2023 04:10:40 +0200

Tino Calancha <[email-masked]> writes:

> Subject: [PATCH] Editing same buffer in >1 window; winner-undo enhancement

An alternative approach maybe: the original value of point is correctly
saved in the saved window-configuration.  That you get the same value of
point for winner-undo in this case is a result of winner changing point
in all buffers to the latest one (of saved buffer window points), AFAIU.

Which is ok in most cases, but not when using multiple windows for one
buffer: then you want to have the original window point.

So, would it be appropriate to change the algorithm to skip changing
point to be different from that of the saved window configuration when
the displayed buffer is visible in multiple windows in the selected
frame?

Michael.